close all
clear all

%% Parameters
P.beta = 0.99;
P.chi = 0.85;
P.alpha = 0.5;
P.delta = 0.05;

P.lambda_c = 1.3;
P.lambda_y = 1.3;
P.lambda_w = 1.3;
P.lambda_j = 1.3;

P.xiy = 0.4;
P.xic = 0.7;
P.xiw = 0.8;
P.xij = 0.25;

P.gamma = 0.5;
P.ni = 1.5;

P.tau_s_ss = 0.2;
P.tau_w_ss = 0.2;
P.tau_c_ss = 0.2;
P.psi = 1;
P.mu = 0.01;
P.rho = 0.6;
P.theta = 0.4;
P.omega = 0.4;

P.NGD2PyY_ss = 0.5;
P.PgflexG2PyY = 0.2;

%% Model
m = model('model_tau_c.mod','linear',false,'assign',P);
m = sstate(m,'maxfunevals',1e5);
mss = get(m,'sstate');

[flag,mval,list] = chksstate(m);
if flag==0
    mval{2}
    list
    error('The following equations don''t hold in steady state!!!')
end

m = solve(m);
